com.threerings.parlor.card.data

## Interface CardCodes

All Superinterfaces:
  com.threerings.presents.data.InvocationCodes

All Known Subinterfaces:
  TrickCardCodes

All Known Implementing Classes:
  Card, CardGameController, CardGameManager, CardPanel, Deck, TrickCardGameUtil

    public interface CardCodes
    extends com.threerings.presents.data.InvocationCodes

Constants relating to the card services.

### Field Summary

Fields
`static int` `ACE` The number of the ace.
`static int` `BLACK_JOKER` The number of the black joker.
`static int` `CLUBS` The suit of clubs.
`static int` `DIAMONDS` The suit of diamonds.
`static int` `HEARTS` The suit of hearts.
`static int` `JACK` The number of the jack.
`static int` `KING` The number of the king.
`static int` `QUEEN` The number of the queen.
`static int` `RED_JOKER` The number of the red joker.
`static int` `SPADES` The suit of spades.

### Fields inherited from interface com.threerings.presents.data.InvocationCodes

`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

### Field Detail

#### SPADES

    static final int SPADES

The suit of spades.

See Also:
  Constant Field Values

#### HEARTS

    static final int HEARTS

The suit of hearts.

See Also:
  Constant Field Values

#### CLUBS

    static final int CLUBS

The suit of clubs.

See Also:
  Constant Field Values

#### DIAMONDS

    static final int DIAMONDS

The suit of diamonds.

See Also:
  Constant Field Values

#### JACK

    static final int JACK

The number of the jack.

See Also:
  Constant Field Values

#### QUEEN

    static final int QUEEN

The number of the queen.

See Also:
  Constant Field Values

#### KING

    static final int KING

The number of the king.

See Also:
  Constant Field Values

#### ACE

    static final int ACE

The number of the ace.

See Also:
  Constant Field Values

#### RED_JOKER

    static final int RED_JOKER

The number of the red joker.

See Also:
  Constant Field Values

#### BLACK_JOKER

    static final int BLACK_JOKER

The number of the black joker.

See Also:
  Constant Field Values